﻿using System;
using System.Collections.Generic;
using System.Diagnostics;
using System.Linq;
using System.Text;
using System.Threading;

namespace ConsoleApplication1
{
    class Program
    {
        static void Main(string[] args)
        {
            CallTestMethod(2000);
            CallTestMethod(300);
        }

        private static void CallTestMethod(int sleep)
        {
            Guid guidContext = Guid.NewGuid();
            Stopwatch st = new Stopwatch();
            st.Start();
            try
            {
                Thread.Sleep(sleep);
            }
            finally
            {
                st.Stop();
                Console.WriteLine(Thread.CurrentThread.ManagedThreadId + ", " + AppDomain.GetCurrentThreadId() + ", " + st.ElapsedMilliseconds);
                MyETWSampleProvider.PerfTrace.Sample_Perf.EventWriteEvent_MethodPerfTrace(guidContext.ToString(), "CallTestMethod", (ulong)st.ElapsedMilliseconds, "");
            }
        }
    }
}
